# xmlpp::SaxParser::SaxParser::Attribute Struct Reference

Simple structure used in the start_element callback, in which the attributes are a list of name/value pairs. More...

List of all members.

## Public Member Functions
| Attribute (Glib::ustring const &n, Glib::ustring const &v)
## Public Attributes
Glib::ustring | name
Glib::ustring | value

## Detailed Description

Simple structure used in the start_element callback, in which the attributes are a list of name/value pairs.

## Constructor & Destructor Documentation

xmlpp::SaxParser::SaxParser::Attribute::Attribute | ( | Glib::ustring const & | n,
|  | Glib::ustring const & | v |
| ) |  |  | `[inline]`

## Member Data Documentation

Glib::ustring xmlpp::SaxParser::SaxParser::Attribute::name

Referenced by xmlpp::SaxParser::SaxParser::AttributeHasName::operator()().

Glib::ustring xmlpp::SaxParser::SaxParser::Attribute::value

The documentation for this struct was generated from the following file:

- saxparser.h